<?php
session_start();
include('../../php/conn.php');
if(!isset($_SESSION["id"])){
  header('Location: index.php');
}
if(isset($_GET["eliminar"])){
  if(is_numeric($_GET["eliminar"])){
    if (mysqli_query($enlace, "DELETE FROM tb_usuario WHERE cod_usuario = ".$_GET["eliminar"].";")) {
      header('Location: usuario-lista.php');
    }
  }
}
elseif(isset($_GET["activar"])){
  if(is_numeric($_GET["activar"])){
    if (mysqli_query($enlace, "UPDATE tb_usuario SET est_usuario ='1' WHERE cod_usuario = ".$_GET["activar"].";")) {
      header('Location: usuario-lista.php');
    }
  }
}
elseif(isset($_GET["desactivar"])){
  if(is_numeric($_GET["desactivar"])){
    if (mysqli_query($enlace, "UPDATE tb_usuario SET est_usuario ='0' WHERE cod_usuario = ".$_GET["desactivar"].";")) {
      header('Location: usuario-lista.php');
    }
  }
}
elseif(isset($_GET["encuesta"])){
  // if(is_numeric($_GET["encuesta"])){
    // if (mysqli_query($enlace, 'INSERT INTO tb_usuario_survey (cod_usuario, cod_survey, cod_token) SELECT "'.$_GET["codigo"].'" AS cod_usuario, "'.$_GET["encuesta"].'" AS cod_survey, tid AS cod_token FROM lime_tokens_'.$_GET["encuesta"].' WHERE tid NOT IN(SELECT cod_token FROM tb_usuario_survey WHERE cod_survey='.$_GET["encuesta"].') ORDER BY tid LIMIT '.$_GET["cantidad"].';'))

    // Determminando código de encuesta
      $codigo = explode('|', $_GET["encuesta"]);

      $cod_encuesta = $codigo[0];
      $server_id = $codigo[1];

    // Obtiene la lista de Tokens ya asignados -----------
    // ---------------------------------------------------
     $notin = "";

    if ($res = mysqli_query($enlace, "SELECT cod_token FROM tb_usuario_survey WHERE cod_survey = '".$cod_encuesta."'"))
    {
      while($row = mysqli_fetch_array($res))
      {
        $notin .= "'".$row["cod_token"]."', ";
      }

      $notin = substr($notin, 0, -2);
    }

    if (strlen($notin) ==  0)
    {
      $notin = "''";
    }
    // ---------------------------------------------------

    // Obtiene los números de Token para asignar ---------
    // ---------------------------------------------------
    $tokens = "";

    if ($server_id == 'N'){
      $q_tokens = "SELECT '".$_GET["codigo"]."' AS cod_usuario, '".$cod_encuesta."' AS cod_survey, tid FROM lime_tokens_".$cod_encuesta." WHERE completed = 'N' AND tid NOT IN (".$notin.") ORDER BY tid LIMIT ".$_GET["cantidad"];
    }
    else{
      $q_tokens = "SELECT '".$_GET["codigo"]."' AS cod_usuario, '".$cod_encuesta."' AS cod_survey, tid FROM cela_tokens_".$cod_encuesta." WHERE completed = 'N' AND tid NOT IN (".$notin.") ORDER BY tid LIMIT ".$_GET["cantidad"];
    }

    if ($res = mysqli_query($enlacehost, $q_tokens))
    // if ($res = mysqli_query($enlacehost, "SELECT '".$_GET["codigo"]."' AS cod_usuario, '".$_GET["encuesta"]."' AS cod_survey, tid FROM lime_tokens_".$_GET["encuesta"]." WHERE completed = 'N' AND tid NOT IN ('2', '4', '6', '8', '12') ORDER BY tid LIMIT ".$_GET["cantidad"].";"))
    {
      while($row = mysqli_fetch_array($res))
      {
        $tokens .= "('".$row["cod_usuario"]."', '".$row["cod_survey"]."', '".$row["tid"]."', '".$server_id."'), ";
      }

      $tokens = substr($tokens, 0, -2);
    }
    // ---------------------------------------------------

    if (mysqli_query($enlace, 'INSERT INTO tb_usuario_survey (cod_usuario, cod_survey, cod_token, server_id) VALUES '.$tokens.' ;'))
    {
      header('Location: usuario-lista.php');
    }
  // }
}
?>
<!DOCTYPE html>
<html lang="es">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="icon" href="images/favicon.ico" type="image/ico" />

    <title>Sistema Encuestas | </title>

    <!-- Bootstrap -->
    <link href="../vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="../vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="../vendors/nprogress/nprogress.css" rel="stylesheet">
    <!-- iCheck -->
    <link href="../vendors/iCheck/skins/flat/green.css" rel="stylesheet">
	
    <!-- bootstrap-progressbar -->
    <link href="../vendors/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css" rel="stylesheet">
    <!-- JQVMap -->
    <link href="../vendors/jqvmap/dist/jqvmap.min.css" rel="stylesheet"/>
    <!-- bootstrap-daterangepicker -->
    <link href="../vendors/bootstrap-daterangepicker/daterangepicker.css" rel="stylesheet">
    <!-- Datatables -->
    <link href="../vendors/datatables.net-bs/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="../vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="../vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="../vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="../vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="../build/css/custom.min.css" rel="stylesheet">
  </head>

  <body class="nav-md" style="zoom: 80%">
    <div class="container body">
      <div class="main_container">
        <?php include('partes/sidebar.php'); ?>  
        <!-- page content -->
        <div class="right_col" role="main">
          <!-- top tiles -->
          
          <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
              <div class="x_panel">
                <div class="x_title">
                  <h2>Lista de Agentes</h2>
                  <div class="clearfix"></div>
                </div>
                <div class="x_content">
                  <table id="datatable" class="table table-striped jambo_table bulk_action">
                    <thead>
                      <tr>
                        <th>Usuario</th>
                        <th>Nombres</th>
                        <th>Apellidos</th>
                        <th>Correo</th>
                        <th>Teléfono</th>
                        <th>Género</th>
                        <th>Estado</th>
                        <th>Acciones</th>
                      </tr>
                    </thead>
                    <tbody>
<?php
if ($resultado = mysqli_query($enlace, "SELECT cod_usuario, usu_usuario, nom_persona, ape_persona, cor_persona, tel_persona, est_usuario, nom_rol FROM tb_usuario AS u INNER JOIN tb_rol AS r ON u.cod_rol = r.cod_rol")) {
  if (mysqli_num_rows($resultado) > 0) {
    while($row = mysqli_fetch_assoc($resultado)) {
      echo "<tr>";
      echo "<td>".$row["usu_usuario"]."</td>";
      echo "<td>".$row["nom_persona"]."</td>";
      echo "<td>".$row["ape_persona"]."</td>";
      echo "<td>".$row["cor_persona"]."</td>";
      echo "<td>".$row["tel_persona"]."</td>";
      if($row["est_usuario"]=="1"){
        echo "<td>Activo</td>";
      }
      else{
        echo "<td>Inactivo</td>";
      }
      echo "<td>";
      echo "<a class='success' href='javascript: asignaEncuesta(".$row["cod_usuario"].")'><i class='fa fa-home'></i> Asignar encuesta</a> ";
      echo "<a class='success' href='javascript: listaEncuestas(".$row["cod_usuario"].")'><i class='fa fa-home'></i> Ver encuesta</a> ";
      echo "<a class='success' href='javascript: editar(".$row["cod_usuario"].")'><i class='fa fa-home'></i> Editar</a> ";
      if($row["est_usuario"]=="1"){
        echo "<a class='success' href='javascript: desactivar(".$row["cod_usuario"].")'><i class='fa fa-home'></i> Desactivar</a> ";
      }
      else{
        echo "<a class='success' href='javascript: activar(".$row["cod_usuario"].")'><i class='fa fa-home'></i> Activar</a> ";
      }
      if($row["cod_usuario"]!=$_SESSION["id"]){

        echo "<a class='success' href='javascript: eliminar(".$row["cod_usuario"].")'><i class='fa fa-home'></i> Eliminar</a> ";
      }
      echo "</td>";
      echo "</tr>";
    }
  }
  else{
    $error = "No se pudo iniciar sesión";
  }
  mysqli_free_result($resultado);
}
?>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /page content -->
      </div>
    </div>

    <!-- Modal -->
	<div id="asignarEncuesta" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Asignar Encuesta</h4>
	      </div>
	      <div class="modal-body">
	        <form class="form-horizontal form-label-left">


              <div class="form-group">
                <label class="control-label col-md-3 col-sm-3 col-xs-12">Elija la encuesta</label>
                <div class="col-md-9 col-sm-9 col-xs-12">
                  <select class="form-control" id="encuesta_asignacion" name="encuesta">
                  	<option value="">Seleccionar</option>

                    <?php
                      $r = array();
                      $query = "SET NAMES 'utf8'";

                      if ($res = mysqli_query($enlacehost, $query)) {
                      }

                      if ($res = mysqli_query($enlacehost_old, $query)) {
                      }

                      // Nuevo LimeSurvey
                        if ($resultado = mysqli_query($enlacehost, "SELECT TRIM(surveyls_title) AS surveyls_title, sid, 'N' AS SERVER_ID FROM lime_surveys AS s INNER JOIN lime_surveys_languagesettings AS l ON s.sid=l.surveyls_survey_id WHERE active='Y' ORDER BY surveyls_title")) {
                          if (mysqli_num_rows($resultado) > 0) {
                            while($row = mysqli_fetch_assoc($resultado)) {
                              array_push($r, $row);
                              // echo '<option value="'.$row["sid"].'|N'.'">'.$row["surveyls_title"].'</option>';
                            }
                          }
                          mysqli_free_result($resultado);
                        }

                      // Antiguo LimeSurvey
                        if ($resultado = mysqli_query($enlacehost_old, "SELECT TRIM(surveyls_title) AS surveyls_title, sid, 'A' AS SERVER_ID FROM cela_surveys AS s INNER JOIN cela_surveys_languagesettings AS l ON s.sid=l.surveyls_survey_id WHERE active='Y' ORDER BY surveyls_title")) {
                          if (mysqli_num_rows($resultado) > 0) {
                            while($row = mysqli_fetch_assoc($resultado)) {
                              array_push($r, $row);
                              // echo '<option value="'.$row["sid"].'|A'.'">'.$row["surveyls_title"].'</option>';
                            }
                          }
                          mysqli_free_result($resultado);
                        }

                      // Armando los datos
                        $w = 1;

                        sort($r);

                        while($w < count($r)){
                          echo '<option value="'.$r[$w]["sid"].'|'.$r[$w]["SERVER_ID"].'">'.$r[$w]["surveyls_title"].'</option>';

                          $w += 1;
                        }
                    ?>

                  </select>
                  <input type="hidden" name="codigo" id="codigo_asignacion">
                </div>
              </div>

              <div class="form-group">
                <label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad de tokens</label>
                <div class="col-md-9 col-sm-9 col-xs-12">
                  <input type="number" class="form-control" id="cantidad_tokens" name="cantidad">
                </div>
              </div>

              <div class="ln_solid"></div>
              <div class="form-group">
                <div class="col-md-9 col-sm-9 col-xs-12 col-md-offset-3">
                  <button type="submit" class="btn btn-success">Guardar</button>
                </div>
              </div>

            </form>
	      </div>
	    </div>

	  </div>
	</div>

    <!-- Modal -->
	<div id="encuestasModal" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Encuestas</h4>
	      </div>
	      <div class="modal-body">
	        <table id="datatable" class="table table-striped jambo_table bulk_action">
                <thead>
                  <tr>
                    <th>Encuesta</th>
                    <th>Tokens</th>
                  </tr>
                </thead>
                <tbody id="encuestas">
                </tbody>
            </table>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
	      </div>
	    </div>

	  </div>
	</div>

    <!-- jQuery -->
    <script src="../vendors/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap -->
    <script src="../vendors/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- FastClick -->
    <script src="../vendors/fastclick/lib/fastclick.js"></script>
    <!-- NProgress -->
    <script src="../vendors/nprogress/nprogress.js"></script>
    <!-- Chart.js -->
    <script src="../vendors/Chart.js/dist/Chart.min.js"></script>
    <!-- gauge.js -->
    <script src="../vendors/gauge.js/dist/gauge.min.js"></script>
    <!-- bootstrap-progressbar -->
    <script src="../vendors/bootstrap-progressbar/bootstrap-progressbar.min.js"></script>
    <!-- iCheck -->
    <script src="../vendors/iCheck/icheck.min.js"></script>
    <!-- Skycons -->
    <script src="../vendors/skycons/skycons.js"></script>
    <!-- Flot -->
    <script src="../vendors/Flot/jquery.flot.js"></script>
    <script src="../vendors/Flot/jquery.flot.pie.js"></script>
    <script src="../vendors/Flot/jquery.flot.time.js"></script>
    <script src="../vendors/Flot/jquery.flot.stack.js"></script>
    <script src="../vendors/Flot/jquery.flot.resize.js"></script>
    <!-- Flot plugins -->
    <script src="../vendors/flot.orderbars/js/jquery.flot.orderBars.js"></script>
    <script src="../vendors/flot-spline/js/jquery.flot.spline.min.js"></script>
    <script src="../vendors/flot.curvedlines/curvedLines.js"></script>
    <!-- DateJS -->
    <script src="../vendors/DateJS/build/date.js"></script>
    <!-- JQVMap -->
    <script src="../vendors/jqvmap/dist/jquery.vmap.js"></script>
    <script src="../vendors/jqvmap/dist/maps/jquery.vmap.world.js"></script>
    <script src="../vendors/jqvmap/examples/js/jquery.vmap.sampledata.js"></script>
    <!-- bootstrap-daterangepicker -->
    <script src="../vendors/moment/min/moment.min.js"></script>
    <script src="../vendors/bootstrap-daterangepicker/daterangepicker.js"></script>
    <!-- Datatables -->
    <script src="../vendors/datatables.net/js/jquery.dataTables.min.js"></script>
    <script src="../vendors/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
    <script src="../vendors/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
    <script src="../vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js"></script>
    <script src="../vendors/datatables.net-buttons/js/buttons.flash.min.js"></script>
    <script src="../vendors/datatables.net-buttons/js/buttons.html5.min.js"></script>
    <script src="../vendors/datatables.net-buttons/js/buttons.print.min.js"></script>
    <script src="../vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js"></script>
    <script src="../vendors/datatables.net-keytable/js/dataTables.keyTable.min.js"></script>
    <script src="../vendors/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
    <script src="../vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js"></script>
    <script src="../vendors/datatables.net-scroller/js/dataTables.scroller.min.js"></script>
    <script src="../vendors/jszip/dist/jszip.min.js"></script>
    <script src="../vendors/pdfmake/build/pdfmake.min.js"></script>
    <script src="../vendors/pdfmake/build/vfs_fonts.js"></script>

    <!-- Custom Theme Scripts -->
    <script src="../build/js/custom.min.js"></script>
	<script type="text/javascript">
     function editar(codigo){
        if(confirm("¿Estas seguro de editar el usuario?")){
            location.href='usuario-nuevo.php?editar='+codigo;
        }
     }
     function eliminar(codigo){
        if(confirm("¿Estas seguro de eliminar el usuario?")){
            location.href='usuario-lista.php?eliminar='+codigo;
        }
     }
     function activar(codigo){
        if(confirm("¿Estas seguro de activar el usuario?")){
            location.href='usuario-lista.php?activar='+codigo;
        }
     }
     function desactivar(codigo){
        if(confirm("¿Estas seguro de desactivar el usuario?")){
            location.href='usuario-lista.php?desactivar='+codigo;
        }
     }
     function asignaEncuesta(codigo){
      var modal = $("#asignarEncuesta");
      $("#codigo_asignacion").val(codigo);
      $("#cantidad_tokens").val("0");
      $("#encuesta_asignacion").val("");
      /*$("#encuesta_asignacion option").css("display", "inline");
      $.post( "ajax/encuesta.php", { accion: "listarEncuestas", usuario: codigo }, function( data ) {
        if(data.estado==1){
          $.each( data.registros, function( key, val ) {
            console.log("Se va a deshabilitar "+val.cod_survey)
            $("#encuesta_asignacion option[value='"+val.cod_survey+"']").css("display", "none");
            console.log(val);
          });
        }
      }, "json");*/
      modal.modal();
     }
     function listaEncuestas(codigo){
      var modal = $("#encuestasModal");
      var encuesta = $("#encuestas");
      $.post( "ajax/encuesta.php", { accion: "listarEncuestas", usuario: codigo }, function( data ) {
        var htmlContenido = "";
        if(data.estado==1){
          $.each( data.registros, function( key, val ) {
            htmlContenido += "<tr><td>"+val.surveyls_title+"</td><td>"+val.cant+"</td></tr>";
          });
        }
        encuesta.html(htmlContenido);
      }, "json");
      modal.modal();
     }
     $("#encuesta_asignacion").on("change", function(){
     	var codigo = $(this).val();
     	var txtCantidad = $("#cantidad_tokens");

     	if(codigo!=""){
     		$.post( "ajax/encuesta.php", { accion: "obtenerTokensDisponibles", codigo: codigo }, function( data ) {
	          txtCantidad.val(data);
	          txtCantidad.attr("max",data);
	          txtCantidad.attr("min","0");
	        });
     	}
     });
     function abrirPopUpEncuesta(codigo){
     	var encuesta = $("#encuestas");
     	encuesta.html("");
     	var htmlContenido = "";
     	$.post( "ajax/encuesta.php", { accion: "listarEncuesta", usuario: codigo }, function( data ) {
     	alert(codigo);
          if(data.estado==1){
            $.each( data.registros, function( key, val ) {
            	htmlContenido += "<tr><td>"+val.cod_usuario_survey+"</td><td>"+val.surveyls_title+"</td></tr>";
            });
          }
          encuesta.html(htmlContenido);
        }, "json");
     	$("#encuestasModal").modal();
     }
    </script>
  </body>
</html>
<?php
cerrarSesion($enlace);
?>